- [HTTP request](https://developers.google.com/display-video/api/reference/rest/v4/inventorySourceGroups/patch#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/display-video/api/reference/rest/v4/inventorySourceGroups/patch#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/display-video/api/reference/rest/v4/inventorySourceGroups/patch#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/display-video/api/reference/rest/v4/inventorySourceGroups/patch#body.request_body)
- [Response body](https://developers.google.com/display-video/api/reference/rest/v4/inventorySourceGroups/patch#body.response_body)
- [Authorization scopes](https://developers.google.com/display-video/api/reference/rest/v4/inventorySourceGroups/patch#body.aspect)
- [Try it!](https://developers.google.com/display-video/api/reference/rest/v4/inventorySourceGroups/patch#try-it)

Updates an inventory source group. Returns the updated inventory source group if successful.

### HTTP request

`PATCH https://displayvideo.googleapis.com/v4/inventorySourceGroups/{inventorySourceGroup.inventorySourceGroupId}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `inventorySourceGroup.inventorySourceGroupId` | `string (https://developers.google.com/discovery/v1/type-format format)` Output only. The unique ID of the inventory source group. Assigned by the system. |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` Required. The mask to control which fields to update. This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |
| Required. Identifies the DV360 entity that owns the inventory source group. It can be either a partner or an advertiser. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response: ||
| `partnerId` | `string (https://developers.google.com/discovery/v1/type-format format)` The ID of the partner that owns the inventory source group. Only this partner has write access to this group. |
| `advertiserId` | `string (https://developers.google.com/discovery/v1/type-format format)` The ID of the advertiser that owns the inventory source group. The parent partner does not have access to this group. |
| End of mutually exclusive fields. ||

### Request body

The request body contains an instance of `https://developers.google.com/display-video/api/reference/rest/v4/inventorySourceGroups#InventorySourceGroup`.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/display-video/api/reference/rest/v4/inventorySourceGroups#InventorySourceGroup`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/display-video`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).